# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class AggregationFunction(str, Enum):
    """
    An enumeration.
    """

    """
    allowed enum values
    """
    COUNT = 'count'
    SUM = 'sum'
    MEAN = 'mean'
    AVG = 'avg'
    MIN = 'min'
    MAX = 'max'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of AggregationFunction from a JSON string"""
        return cls(json.loads(json_str))


